# capistrano-refinerycms

This is a simple plugin for capistrano 3.x for simplifying installations of [RefineryCMS](http://refinerycms.com/). Just add it to your Capfile and set the configuration in your deploy scripts, and it should take care of the rest.

## Installation

1. Add it to your Gemfile:

    `gem 'capistrano-refinerycms'`

2. Add it to your Capfile:

    `require 'capistrano/refinerycms'`

3. Add the configuration to your deploy.rb (or deploy/production.rb):

    `set :refinerycms_site_name, 'My Nice New Website'`

4. Deploy!

## Configuration

Here are all the configuration options that you can use to customize the RefineryCMS-install:

### Main config options

These are the configurations you're most likely to need to modify.

* `:refinerycms_site_name` -- Default: `'RefineryCMS'`.

* `:refinerycms_base_cache_key` -- Cache key used by the site. The default is a parameterized version of the site name. For long site names you may want to set this explicitly. Otherwise, just leave it alone.

* `:refinerycms_force_ssl` -- Reroute any unsecured requests to the corresponding https URL. Default is `false`.

* `:refinerycms_authenticity_token_on_frontend` -- Use authenticity token on frontend. Only necessary if you have forms in the frontend. Default value is  `true`.

### Dragonfly configuration

Refinery allows you to configure the Dragonfly backend used for processing images and media files. The defaults are usually fine, but if you have special needs you can modify it though these settings. See the [Dragonfly docs](https://markevans.github.io/dragonfly/) for more information.

* `:refinerycms_dragonfly_secret` -- The default is to generate a random 24 digit long hex number when doing the first deploy. You should normally not need to modify this.
* `:refinerycms_dragonfly_custom_backend_class` -- Default: `''`.
* `:refinerycms_dragonfly_custom_backend_opts` -- Default: `[]`.

### Backend configuration

This is only for adding extra functionality or modifications to the RefineryCMS engine.

* `:refinerycms_wymeditor_whitelist_tags` -- Default: `[]`.
* `:refinerycms_extra_javascript` -- Default: `''`.
* `:refinerycms_extra_stylesheet` -- Default: `''`.
* `:refinerycms_google_analytics_page_code` -- Default: `'UA-xxxxxx-x'`.
* `:refinerycms_backend_route` -- Default: `'/refinery'`.

### Development settings

* `:refinerycms_template_path` -- The path where the plugin will pick up a custom refinery configuration. There should normally be no reason for this, but it's there for completeness. Default: `'config/deploy/templates'`.

## Contributing

Pull requests, bug reports and feature requests are welcome.

## License

Copyright (C) 2015  Harald Eilertsen

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
