# Recipes for installing RefineryCMS using Capistrano 3.x
# Copyright (C) 2015  Harald Eilertsen <haraldei@anduin.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
module Capistrano
  module RefineryCMS
    module Helpers

      def refinerycms_template(template_name)
        f = File.join(fetch(:refinerycms_template_path), 'template_name')
        unless File.exists?(f)
          default_template_path = File.join(%W{ .. .. .. generators capistrano refinerycms templates #{ template_name } })
          f = File.expand_path(default_template_path, __FILE__)
        end

        template = File.read(f)
        StringIO.new(ERB.new(template).result(binding))
      end

    end
  end
end